# 19. Mutation: Ta bort "Field"

Radera det valda "fältet" och all data relaterad till det.

{% hint style="info" %}
Det "fält" som tillhör den delade "gården" kan inte raderas eftersom du inte är ägaren av fältet.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation DeleteField {
  deleteField(input: {
    uuid: "<placeholder_of_field_uuid>"
    farmUuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    farmUuid
    namn
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/19.-mutation-ta-bort-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
